<template>
  <div class="contact-desktop-container">
    <div class="add-contact-content" @click="openAddContactModal">
      <span>
        {{ $t('desktop.addnewcontact') }}
      </span>
      <ion-icon :icon="personAdd" style="color: #959798"></ion-icon>
    </div>
    <ContactsList
      :list="contactsListDataSource"
      @handelGettingUserData="handelGettingUserData"
    />
  </div>
</template>

<script setup>
import { IonIcon, onIonViewDidEnter } from '@ionic/vue';
import { computed } from 'vue';
import { useContactsStore } from '@/store/contacts/contacts.js';
import ContactsList from '@/components/desktop/contacts/list.vue';
import { personAdd } from 'ionicons/icons';
import { useNestedModalsDesktop } from '@/store/nestedModals/nestedModalsDesktop.js';

const contactsStore = useContactsStore();
const nestedModalsDesktop = useNestedModalsDesktop();

const contactsListDataSource = computed(() => {
  return contactsStore.contacts.navaphoneUsers;
});

const openAddContactModal = () => {
  nestedModalsDesktop.changeStatusAddContact(true);
};

onIonViewDidEnter(() => {
  userIdStatusSendRequestList = [];
});

const handelSearch = async (val) => {
  contactsStore.search = val;
};
let userIdStatusSendRequestList = [];
const handelGettingUserData = async (user) => {
  if (!user.contact_username) return;
  contactsStore.getUserProfile(user.contact_username);
  if (!userIdStatusSendRequestList.includes(user.contact_username)) {
    const status = await contactsStore.getUserOnlineStatus(
      user.contact_username,
    );
    user['lastSeen'] = status.time;
    userIdStatusSendRequestList.push(user.contact_username);
  }
};
</script>

<style scoped>
.contact-desktop-container {
  padding: 10px 10px;
  height: 90vh;
  overflow-y: scroll;
}

.add-contact-content {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}

.add-contact-content span {
  font-size: 12px;
  font-weight: 500;
  color: #959798;
  padding: 0 5px;
}

::-webkit-scrollbar {
  width: 1px;
  border: 0px solid #fff;
}

::-webkit-scrollbar-track {
  background: #fff;
}

::-webkit-scrollbar-thumb {
  background: #fff;
}
</style>
